View Issue Details

IDProjectCategoryView StatusLast Update
0018554LazarusWidgetsetpublic2015-06-24 14:26
ReporterAndrea Mauri Assigned ToZeljan Rikalo  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN) 
Summary0018554: putting a TFloatSpinEdit on a form crashes Lazarus CentOS
DescriptionOn CentOS 5.5, Gtk2 version: 2.10.4-21.
If I put a TFloatSpinEdit on a form Lazarus crashes immediately.
Tagsmerge to 0.9.30
Fixed in Revision29157
LazTarget0.9.30
WidgetsetGTK 2
Attached Files

Relationships

related to 0018555 closedZeljan Rikalo Lazarus lazarus crashes if I click on the [...] anchors button in object inspector (CentOS) 
related to 0028123 assignedZeljan Rikalo Patches TFloatSpinEdit, TSpinEdit: Cannot enter value as expected 

Activities

Zeljan Rikalo

2011-01-19 11:55

developer   ~0045302

I saw on mailing list (from your backtraces) that there's others problems too..or this one is the only problem ?

Zeljan Rikalo

2011-01-21 09:38

developer   ~0045359

I confirm that laz crashes when adding TFloatSpinEdit on form under gtk2-2.10.

Zeljan Rikalo

2011-01-21 15:35

developer   ~0045376

Please test and close if ok.

Andrea Mauri

2011-01-21 16:38

reporter   ~0045380

tested on centos 5.5 gtk2 2.10

Issue History

Date Modified Username Field Change
2011-01-19 11:39 Andrea Mauri New Issue
2011-01-19 11:39 Andrea Mauri Widgetset => GTK 2
2011-01-19 11:54 Zeljan Rikalo Status new => assigned
2011-01-19 11:54 Zeljan Rikalo Assigned To => Zeljan Rikalo
2011-01-19 11:55 Zeljan Rikalo LazTarget => -
2011-01-19 11:55 Zeljan Rikalo Note Added: 0045302
2011-01-19 11:55 Zeljan Rikalo Status assigned => feedback
2011-01-19 12:01 Zeljan Rikalo Relationship added related to 0018555
2011-01-21 09:38 Zeljan Rikalo Note Added: 0045359
2011-01-21 09:38 Zeljan Rikalo Status feedback => confirmed
2011-01-21 09:38 Zeljan Rikalo LazTarget - => 0.9.30
2011-01-21 15:35 Zeljan Rikalo Fixed in Revision => 29157
2011-01-21 15:35 Zeljan Rikalo Status confirmed => resolved
2011-01-21 15:35 Zeljan Rikalo Resolution open => fixed
2011-01-21 15:35 Zeljan Rikalo Note Added: 0045376
2011-01-21 16:38 Andrea Mauri Status resolved => closed
2011-01-21 16:38 Andrea Mauri Note Added: 0045380
2011-01-22 10:32 Vincent Snijders Tag Attached: merge to 0.9.30
2015-06-24 14:26 Zeljan Rikalo Relationship added related to 0028123